<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar id="EJBJar_1028677746764">
      <description>Supplier Domain</description>
      <display-name>Supplier</display-name>
      <enterprise-beans>
         <session id="Session_1028684301419">
            <description>Receiver Session Bean</description>
            <display-name>ReceiverSes</display-name>
            <ejb-name>ReceiverSes</ejb-name>
            <home>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSesHome</home>
            <remote>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSes</remote>
            <ejb-class>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_6">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028687258141">
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
               <ejb-link>SComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1028687258131">
               <description>Purchase Order Entity Bean</description>
               <ejb-ref-name>ejb/POEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
               <ejb-link>POEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref id="ResourceRef_1045845821949">
            	<description></description>
            	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
            	<res-type>javax.jms.QueueConnectionFactory</res-type>
            	<res-auth>Application</res-auth>
            	<res-sharing-scope>Shareable</res-sharing-scope>
            </resource-ref>
            <resource-env-ref id="ResourceEnvRef_1045845771466">
            	<description></description>
            	<resource-env-ref-name>jms/ReceiveQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
         </session>
         <entity id="ContainerManagedEntity_1028684288341">
            <description>Supplier Entity Bean</description>
            <display-name>SupplierEnt</display-name>
            <ejb-name>SupplierEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.supplierent.ejb.SupplierCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SupplierEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684313977">
               <field-name>suppID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684316571">
               <field-name>suppName</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684319065">
               <field-name>suppStreet1</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684321628">
               <field-name>suppStreet2</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684324042">
               <field-name>suppCity</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684326856">
               <field-name>suppState</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684329239">
               <field-name>suppCountry</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684331773">
               <field-name>suppZip</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684333916">
               <field-name>suppPhone</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684336540">
               <field-name>suppContact</field-name>
            </cmp-field>
            <primkey-field>suppID</primkey-field>
            <env-entry id="EnvEntry_7">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028687258061">
               <ejb-ref-name>ejb/SupplierCompEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntLocal</local>
               <ejb-link>SupplierCompEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_1">
               <query-method id="QueryMethod_1">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SupplierEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028684288681">
            <description>SupplierComponent Entity Bean</description>
            <display-name>SupplierCompEnt</display-name>
            <ejb-name>SupplierCompEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.supplier.suppliercompent.ejb.SuppCompEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SupplierCompEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684408674">
               <field-name>suppCompID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684412048">
               <field-name>suppCompSuppID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684415674">
               <field-name>suppCompPrice</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684418708">
               <field-name>suppCompQty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684421502">
               <field-name>suppCompDiscount</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684423785">
               <field-name>suppCompDelDate</field-name>
            </cmp-field>
            <env-entry id="EnvEntry_8">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_2">
               <query-method id="QueryMethod_2">
                  <method-name>findAllBySupplier</method-name>
                  <method-params>
                     <method-param>int</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SupplierCompEnt AS a WHERE a.suppCompSuppID = ?1</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028684288701">
            <description>Component Entity Bean</description>
            <display-name>SComponentEnt</display-name>
            <ejb-name>SComponentEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.scomponentent.ejb.SComponentCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SComponentEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684348107">
               <field-name>compID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684355457">
               <field-name>compName</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684358031">
               <field-name>compDesc</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684360354">
               <field-name>compUnit</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684366543">
               <field-name>compCost</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684369928">
               <field-name>qtyOnOrder</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684372912">
               <field-name>qtyDemanded</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684375616">
               <field-name>leadTime</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684378350">
               <field-name>containerSize</field-name>
            </cmp-field>
            <primkey-field>compID</primkey-field>
            <env-entry id="EnvEntry_9">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_3">
               <query-method id="QueryMethod_3">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SComponentEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028684288711">
            <description>PurchaseOrder Entity bean</description>
            <display-name>POEnt</display-name>
            <ejb-name>POEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.poent.ejb.POCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>POEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684493806">
               <field-name>poNumber</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684496670">
               <field-name>poSuppID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684499514">
               <field-name>poSiteID</field-name>
            </cmp-field>
            <primkey-field>poNumber</primkey-field>
            <env-entry id="EnvEntry_10">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_11">
               <description>location of po.dtd file</description>
               <env-entry-name>poDTD</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://specdelivery:80/Supplier/dtd/po.dtd</env-entry-value>
            </env-entry>
            <ejb-ref id="EjbRef_1028687258001">
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref id="EJBLocalRef_1028687257991">
               <ejb-ref-name>ejb/POLineEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.polineent.ejb.POLineEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.polineent.ejb.POLineEntLocal</local>
               <ejb-link>POLineEnt</ejb-link>
            </ejb-local-ref>
         </entity>
         <entity id="ContainerManagedEntity_1028684288721">
            <description>PurchaseOrderLine Entity Bean</description>
            <display-name>POLineEnt</display-name>
            <ejb-name>POLineEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.polineent.ejb.POLineEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.polineent.ejb.POLineEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.polineent.ejb.POLineCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.supplier.polineent.ejb.POLineEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>POLineEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684523088">
               <field-name>poLineNumber</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684525612">
               <field-name>poLinePoID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684528165">
               <field-name>poLineID</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684530709">
               <field-name>poLineQty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684533844">
               <field-name>poLineBalance</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684536337">
               <field-name>poLineDelDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684539682">
               <field-name>poLineMsg</field-name>
            </cmp-field>
            <env-entry id="EnvEntry_12">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028687258021">
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
               <ejb-link>SComponentEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_4">
               <query-method id="QueryMethod_4">
                  <method-name>findByPO</method-name>
                  <method-params>
                     <method-param>java.lang.Integer</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM POLineEnt AS a WHERE a.poLinePoID = ?1</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028684301449">
            <description>Supplier Auditing Session Bean</description>
            <display-name>SupplierAuditSes</display-name>
            <ejb-name>SupplierAuditSes</ejb-name>
            <home>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSesHome</home>
            <remote>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSes</remote>
            <ejb-class>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_13">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>3</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_14">
               <description>host that is hosting Delivery servlet</description>
               <env-entry-name>deliveryServlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://specemulator:9080/Emulator/EmulatorServlet?cmd=getDeliveryCount</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_15">
               <description>host that is hosting the Emulator</description>
               <env-entry-name>emulatorServlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://specemulator:9080/Emulator/EmulatorServlet?cmd=getEmulatorCount</env-entry-value>
            </env-entry>
            <resource-ref id="ResourceRef_1028687258181">
               <description>Supplier DB dataSource</description>
               <res-ref-name>SupplierDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <message-driven id="MessageDriven_1045837352951">
         	<display-name>BuyerMDB</display-name>
         	<ejb-name>BuyerMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.supplier.buyermdb.ejb.BuyerMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry id="EnvEntry_1049429671964">
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_1049429671965">
               <env-entry-name>secureHTTP</env-entry-name>
               <env-entry-type>java.lang.Boolean</env-entry-type>
               <env-entry-value>false</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_1049473275531">
               <env-entry-name>servlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>/Emulator/EmulatorServlet</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_1049473275532">
               <env-entry-name>servletHost</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>specemulator</env-entry-value>
            </env-entry>
            <env-entry id="EnvEntry_1049473275533">
               <env-entry-name>servletPort</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>9080</env-entry-value>
            </env-entry>
         	<ejb-local-ref id="EJBLocalRef_1045846629620">
         		<description></description>
         		<ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
         		<ejb-link>SComponentEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref id="EJBLocalRef_1045846629650">
         		<description></description>
         		<ejb-ref-name>ejb/POEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
         		<ejb-link>POEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref id="EJBLocalRef_1045846629670">
         		<description></description>
         		<ejb-ref-name>ejb/SupplierLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntLocal</local>
         		<ejb-link>SupplierEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
      </enterprise-beans>
      <relationships id="Relationships_1">
         <ejb-relation id="EJBRelation_1">
            <description>Po-PoLine</description>
            <ejb-relation-name>Po-PoLine</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028684565459">
               <ejb-relationship-role-name>Po-has-many-PoLine</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1">
                  <ejb-name>POEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_1">
                  <cmr-field-name>poLines</cmr-field-name>
                  <cmr-field-type>java.util.Collection</cmr-field-type>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028684288771">
               <ejb-relationship-role-name>PoLine-belongs-to-Po</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <cascade-delete></cascade-delete>
               <relationship-role-source id="RoleSource_2">
                  <ejb-name>POLineEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
      </relationships>
      <assembly-descriptor id="AssemblyDescriptor_ID">
         <method-permission id="MethodPermission_1034210760500">
            <description>Generated unchecked method permission</description>
            <unchecked></unchecked>
            <method id="MethodElement_1034210760505">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760506">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760516">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760517">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760518">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760519">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760520">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getID</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760521">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760522">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760523">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPartSpec</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760524">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760532">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760533">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760534">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760535">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760536">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760537">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDiscount</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760538">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDiscountedPrice</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760539">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrice</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760540">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDeliveryDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760541">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQuantity</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760542">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760543">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760544">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760552">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAllBySupplier</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760553">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>double</method-param>
                  <method-param>int</method-param>
                  <method-param>double</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760554">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>org.spec.jappserver.supplier.suppliercompent.ejb.SuppCompEntPK</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760555">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760556">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760557">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>checkForPO</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760558">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getContainerSize</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760559">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLeadTime</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760560">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQtyDemanded</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760561">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQtyOnOrder</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760562">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760563">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getID</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760564">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760565">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760566">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>deliveredQuantity</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760567">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>updateDemand</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760568">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>updateQuantities</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760576">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760577">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>double</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760578">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760579">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760580">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760581">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760582">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>generateXml</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760583">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760584">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760585">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>poLineDelivered</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760592">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>org.spec.jappserver.supplier.helper.ComponentOrder[]</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760593">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760594">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760595">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760596">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760597">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>createXml</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760598">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760599">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760600">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>setDeliveredDate</method-name>
               <method-params>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760608">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPO</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760609">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>java.lang.Integer</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>double</method-param>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760610">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>org.spec.jappserver.supplier.polineent.ejb.POLineEntPK</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760611">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>POLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760612">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760613">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760614">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760615">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760616">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
         </method-permission>
         <container-transaction id="MethodTransaction_2">
            <description></description>
            <method id="MethodElement_2">
               <description></description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_3">
            <description></description>
            <method id="MethodElement_3">
               <description></description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_4">
            <description></description>
            <method id="MethodElement_4">
               <description></description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_5">
            <description></description>
            <method id="MethodElement_5">
               <description></description>
               <ejb-name>POEnt</ejb-name>
               <method-name>findByPrimaryKey</method-name>
            </method>
            <method id="MethodElement_6">
               <description></description>
               <ejb-name>POEnt</ejb-name>
               <method-name>generateXml</method-name>
            </method>
            <method id="MethodElement_7">
               <description></description>
               <ejb-name>POEnt</ejb-name>
               <method-name>poLineDelivered</method-name>
            </method>
            <method id="MethodElement_8">
               <description></description>
               <ejb-name>POEnt</ejb-name>
               <method-name>remove</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_7">
            <description></description>
            <method id="MethodElement_10">
               <description></description>
               <ejb-name>POLineEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_8">
            <description></description>
            <method id="MethodElement_11">
               <description></description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_9">
            <method id="MethodElement_12">
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>BuyerMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
